=== debian/changelog ===
irda-utils (0.9.18-15) unstable; urgency=medium

  * QA upload.
  * Add Brazilian Portuguese debconf templates translation
    from Adriano Rafael Gomes. (Closes: #816944)
  * Drop obsolete NEWS.Debian
  * Fix spelling error in README.Debian

 -- Adrian Bunk <bunk@debian.org>  Fri, 20 Jan 2017 17:42:40 +0200

irda-utils (0.9.18-14) unstable; urgency=medium

  * QA Upload.
  [ Chris Lamb ]
  * debian/rules: Add -n option to gzip call. Closes: #777418.

 -- Santiago Vila <sanvila@debian.org>  Thu, 27 Aug 2015 19:13:06 +0200

irda-utils (0.9.18-13) unstable; urgency=low

  * Patch by Matthias Klose to fix build with GCC-5, use
    dpkg-buildflags and build findchip and smcinit on i386.
    (Closes: #777919)
  * Orphaning package.
  * Changed Maintainer address to QA.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 15 Jul 2015 10:58:23 +0000

irda-utils (0.9.18-12) unstable; urgency=low

  * Depend on kmod instead of module-init-tools.
    Thanks Marco d'Itri for the heads up.
  * Add etc/modprobe.d to debian/dirs so the directory
    gets removed if empty (Closes: #670149)
  * Add udev rules file to handle USB-IrDA adapters.
    Thanks Thomas Trummer for the patch. (Closes: #577391)
  * debian/postinst: call /dev/MAKEDEV instead of /sbin/MAKEDEV.
    (Closes: #531670)
  * debian/copyright: Link to correct GPL version
  * init.d script: Add Description field.
    Add irda-utils to Provides field. Add status option.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 04 Jun 2012 16:14:25 +0200

irda-utils (0.9.18-11) unstable; urgency=low

  * Moved diff patches to debian/patches
  * Fix FTBFS with ld --as-needed. Patch by Matthias Klose.
    (Closes: 609263)
  * Add Italian debconf translation. (Closes: 605721)
  * Add Polish debconf translation. (Closes: 662918)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 05 Mar 2012 20:04:51 +0100

irda-utils (0.9.18-10) unstable; urgency=low

  * Switch Depends order to udev | makedev. (Closes: #546868)
    Thanks Guillem for the clarification.
  * Added Russian po-debconf translation. 
    Thanks Yuri Kozlov. (Closes: #541752)
  * Bring changes from Anibal back (removed zlib1g-dev build dep)

  [ Daniele Napolitano ]
  * Made baud_rate configurable via /etc/default/irda-utils
    (Closes: #508808)
  * Made the init.d script use log_* LSB functions.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 04 Dec 2009 13:27:26 +0100

irda-utils (0.9.18-9) unstable; urgency=low

  * debian/control: renamed pciutils-dev to libpci-dev.
  * Bumped Standards-Version to 3.8.1.
  * Moved to debhelper compat 7.

  [ Steve Langasek ]
  * Per Debian bug #518247, drop 'alias irnet' from
    /etc/modprobe.d/irda-utils.conf because it's never needed.
    (Closes: #518247)
  * debian/postinst, debian/postrm: rename /etc/modprobe.d/irda-utils to
    /etc/modprobe.d/irda-utils.conf, as required by current
    module-init-tools.  LP: #340873.
  * debian/preinst: handle migrating the modprobe.d filename on upgrade.
  * debian/preinst: remove config file for Linux 2.4 kernels on upgrade.
  * debian/postinst, debian/postrm: drop obsolete handling of modutils.

  [ Daniele Napolitano ]
  * debian/postinst: remove call to update-modules, which was deprecated long
    ago and is no longer shipped by module-init-tools.  LP: #340718.
  * debian/postinst: invoke MAKEDEV, not /dev/MAKEDEV, since the latter is
    obsolete.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 01 Jun 2009 17:50:24 +0200

irda-utils (0.9.18-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build depend on libpci-dev. (Closes: #478382)
  * Don't build depend on zlib1g-dev.
  * Don't link with -lz anymore.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 04 May 2008 14:24:21 +1000

irda-utils (0.9.18-8) unstable; urgency=low

  * Corrected LSB headers in init.d script. (Closes: #474317)
    Thanks Petter Reinholdtsen.
  * Fixed debian/rules to fix FTBFS. (Closes: #475970)
    Thanks Evgeni Golov.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 17 Apr 2008 13:17:26 +0200

irda-utils (0.9.18-7) unstable; urgency=low

  * Build findchip on amd64 too. (Closes: #458867)
  * Downgrade setserial Depends to Recommends. (Closes: #456948)
  * Updated watch file. (Closes: #449719)
  * Added Portuguese po-debconf translation. 
    Thanks Pedro Ribeiro. (Closes: #418936)
  * Added Spanish po-debconf translation. 
    Thanks Rudy Godoy Guillén. (Closes: #426199)
  * Bumped Standards-Version to 3.7.3.0, no change.
  * Removed /usr/bin from the list of dirs.
  * debian/control: Updated Description, created Homepage field.
  * Added smsc-ircc2 in the list of FIR devices, even when choosing
    smsc-ircc would work also. (Closes: #435318)
  * Added Pre-Depends on debconf.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 03 Jan 2008 19:25:30 +0100

irda-utils (0.9.18-6) unstable; urgency=low

  * Condition call to debconf on postrm. (Closes: #416782)
  * Added Dutch po-debconf translation. 
    Thanks Bart Cornelis. (Closes: #414764)
  * init.d script: Added LSB section
  * init.d script: Added support for running smcinit prior to irattach
    Thanks Jean-Christophe Jaskula for the patch (Closes: #403378)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat, 31 Mar 2007 20:22:31 +0200

irda-utils (0.9.18-5) unstable; urgency=low

  * init.d script. Added '-e' to the sysctl in the stop target.
    Thanks Mario 'BitKoenig' Holbe for noticing.
  * debian/postinst. Removed check for udev. Call MAKEDEV always.
    (Closes: #397411)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat, 11 Nov 2006 20:15:09 +0100

irda-utils (0.9.18-4) unstable; urgency=low

  * debian/postinst. Removed check for /dev/.devfsd, since MAKEDEV
    already does that.
  * smcinit/Makefile: Added -lz and ...
  * debian/control: Added Build-Dep on zlib1g-dev to work around
    libpci-dev making the package FTBFS. This should go away later.
    (Closes: #396781)

