=== debian/control ===
Source: irda-utils
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: libglib2.0-dev, debhelper (>= 7) , libpci-dev
Standards-Version: 3.8.1
Homepage: http://irda.sourceforge.net

Package: irda-utils
Conflicts: irda-common, irda-tools
Replaces: irda-common, irda-tools
Provides: irda-tools
Architecture: any
Pre-Depends: debconf | debconf-2.0
Depends: ${shlibs:Depends}, ${misc:Depends}, udev | makedev, kmod
Recommends: openobex-apps, setserial
Suggests: libgsmme1c102, liblinc1, obexftp
Description: IrDA management and handling utilities
 This package contains userspace utilities to manage and handle infrared
 devices. It includes irattach, findchip, irdadump, irdaping and irpsion5.
 OBEX tools are removed since 0.9.5. If you need to use IrOBEX,
 use openobex-apps package.
